System Requirements

Treasury Management System Survey_HEADER

Webinars

We use Vimeo Live for our webinars. Please be sure that your IT allows video live streaming. Similar to uploaded videos, playback for live events is supported on any setup that supports H.264 videos, HTML5, and Media Source.

System Requirements for Vimeo Live

  • Supported browser versions:
    • Chrome 30+ (has automatic updates)
    • Firefox 27+ (has automatic updates)*
    • Internet Explorer 11*
    • Microsoft Edge
    • Safari 9+
  • Not supported:
    • Internet Explorer 11 on Windows 7 and earlier is not supported for Vimeo Live
    • The Samsung Internet browser (all versions) is also not supported for Vimeo Live. We recommend installing Chrome instead.

*H.264 video (required for viewing Vimeo videos) is only supported in Firefox for Windows 7 and later.

*Older versions of Internet Explorer (IE 10, 9, 8, etc) that lack support for the TLS 1.2 protocol and HTML5 cannot be used to play Vimeo videos. As of January 12, 2016, Microsoft has stopped releasing updates to older versions of IE. (Microsoft’s official statement on IE support can be found here)

Let’s get in touch!

Interested in learning more about our solutions? That’s great.
Because we’d like to learn more about you. So give us a shout.

By submitting this form, you consent to us using your data to process your request. You can find more detailed information in our privacy policy.